<p-table #dt [scrollable]="true" [value]="projects" selectionMode="single"
    (onRowSelect)="setSelectedProject($event.data)" [selection]="selectedProject"
    (onRowUnselect)="setSelectedProject(null)" styleClass="p-datatable-striped"
    tableStyleClass="table-with-action-buttons">
    <ng-template pTemplate="caption">
      <div style="text-align:center">Projects</div>
      <div class="d-flex justify-content-between align-items-center">
          <div class="d-flex align-items-center flex-grow-1">
              <p-checkbox value="Show closed" inputId="sc-projects" [(ngModel)]="showClosedProjects" [binary]="true"
                  (onChange)="handleClosedProjectsVisibility()"></p-checkbox>
              <label for="sc-projects" class="mt-2 ml-1 mr-1">Closed</label>
          </div>
          <div class="flex-grow-1 text-center">
              <input type="text" pInputText size="50" placeholder="Search"
                  (input)="dt.filter(getEventValue($event), 'name', 'contains')" class="form-control p-inputtext" />
          </div>
      </div>
  </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th class="rowStyle">Name</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-project>
      <tr [pSelectableRow]="project">
        <td>{{project.name}} <p-tag *ngIf="project.isClosed" severity="danger" value="Closed"/></td>
      </tr>
  </ng-template>
  </p-table>
